<?xml version="1.0"?> <!-- -*- Mode: xml; indent-tabs-mode: nil; -*- -->
<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->

<?xml-stylesheet href="chrome://browser/content/places/places.css"?>
<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css"?>
<?xml-stylesheet href="chrome://browser/skin/places/tree-icons.css"?>
<?xml-stylesheet href="chrome://browser/skin/places/sidebar.css"?>

<!DOCTYPE window [
<!ENTITY % placesDTD SYSTEM "chrome://browser/locale/places/places.dtd">
%placesDTD;
<!ENTITY % editMenuDTD SYSTEM "chrome://global/locale/editMenuOverlay.dtd">
%editMenuDTD;
<!ENTITY % browserDTD SYSTEM "chrome://browser/locale/browser.dtd">
%browserDTD;
]>

<window id="bookmarksPanel"
        class="sidebar-panel"
        xmlns:html="http://www.w3.org/1999/xhtml"
        xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
        onload="init();"
        onunload="PlacesUIUtils.setMouseoverURL('', window);"
        aria-label="&bookmarksButton.label;">

  <script src="chrome://browser/content/places/bookmarksSidebar.js"/>
  <script src="chrome://global/content/globalOverlay.js"/>
  <script src="chrome://browser/content/utilityOverlay.js"/>
  <script src="chrome://browser/content/contentTheme.js"/>
  <script src="chrome://browser/content/places/places-tree.js"/>
  <script src="chrome://global/content/editMenuOverlay.js"/>

  <linkset>
    <html:link rel="localization" href="toolkit/global/textActions.ftl"/>
  </linkset>

#include placesCommands.inc.xhtml
#include placesContextMenu.inc.xhtml
#include bookmarksHistoryTooltip.inc.xhtml

  <hbox id="sidebar-search-container" align="center">
    <search-textbox id="search-box" flex="1"
                    placeholder="&bookmarksSearch.placeholder;"
                    aria-controls="bookmarks-view"
                    oncommand="searchBookmarks(this.value);"/>
  </hbox>

  <tree id="bookmarks-view"
        class="sidebar-placesTree"
        is="places-tree"
        flex="1"
        hidecolumnpicker="true"
        context="placesContext"
        onkeypress="PlacesUIUtils.onSidebarTreeKeyPress(event);"
        onclick="PlacesUIUtils.onSidebarTreeClick(event);"
        onmousemove="PlacesUIUtils.onSidebarTreeMouseMove(event);"
        onmouseout="PlacesUIUtils.setMouseoverURL('', window);">
    <treecols>
      <treecol id="title" flex="1" primary="true" hideheader="true"/>
    </treecols>
    <treechildren view="bookmarks-view"
                  class="sidebar-placesTreechildren" flex="1" tooltip="bhTooltip"/>
  </tree>
</window>
